package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: SynchTableColumnsReq
 * @Description: 获取表字段-请求对象
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "获取表字段-请求对象", description = "获取表字段-请求对象")
public class SynchTableColumnsReq implements Serializable {
    private static final long serialVersionUID = -2235510265678437967L;
    /*
     * 源数据库ID
     * */
    @NotNull(message = "源数据库ID不能为空")
    @ApiModelProperty(value = "源数据库ID")
    private Long sourceDbId;

    @ApiModelProperty(value = "目标表名称")
    private String targetTableName;

    @ApiModelProperty(value = "字段名称")
    private String fieldName;

    public Long getSourceDbId() {
        return sourceDbId;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public void setSourceDbId(Long sourceDbId) {
        this.sourceDbId = sourceDbId;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }
}
