package com.jz.dmp.modules.service;

import com.jz.common.constant.JsonResult;
import com.jz.dmp.modules.controller.dataService.bean.OrganizationManageAddReq;
import com.jz.dmp.modules.controller.dataService.bean.OrganizationManageListQueryReq;
import com.jz.dmp.modules.controller.dataService.bean.OrganizationManageUpdateReq;

/**
 * @ClassName: DmpOrgMangeService
 * @Description: 数据服务组织管理
 * @Author: Bellamy
 * @Date 2021/1/15
 * @Version 1.0
 */
public interface DmpOrgMangeService {

    /**
     * 列表分页查询
     *
     * @return
     * @author Bellamy
     * @since 2021-01-16
     */
    JsonResult queryOrgListPage(OrganizationManageListQueryReq req) throws Exception;

    /**
     * 删除组织
     *
     * @return
     * @author Bellamy
     * @since 2021-01-16
     */
    JsonResult delOrgById(long id) throws Exception;

    /**
     * 新增组织
     *
     * @return
     * @author Bellamy
     * @since 2021-01-16
     */
    JsonResult addOrg(OrganizationManageAddReq req) throws Exception;

    /**
     * 编辑组织
     *
     * @return
     * @author Bellamy
     * @since 2021-01-16
     */
    JsonResult updateOrg(OrganizationManageUpdateReq req) throws Exception;

    /**
     * 根据组织id获取组织详情
     *
     * @author Bellamy
     * @since 2021-01-18
     */
    JsonResult getOrgInfoByOrgId(String id) throws Exception;
}
